## python-websocketd 0.5

=== requirements.txt ===
fhs-paths==1.1
network-wrapper==0.3

## python-websocketd 0.4

=== debian/changelog ===
python-websocketd (0.4-1) unstable; urgency=medium

  * Update standards version to 4.6.1.
  * Use https link for copyright format.

 -- Bas Wijnen <wijnen@debian.org>  Tue, 31 May 2022 13:31:35 +0200

python-websocketd (0.3-1) unstable; urgency=medium

  * Update pip packaging.
  * Use numpy for unmasking.

 -- Bas Wijnen <wijnen@debian.org>  Tue, 31 May 2022 10:35:22 +0200

python-websocketd (0.2-1) unstable; urgency=medium

  * New release.
  * Upload to Debian archive. Closes: #1010013

 -- Bas Wijnen <wijnen@debian.org>  Fri, 22 Apr 2022 16:18:31 +0200

python-websocketd (0.1-1) unstable; urgency=medium

  * Initial release.

 -- Bas Wijnen <wijnen@debian.org>  Mon, 30 Nov 2015 11:28:34 -0500

=== debian/control ===
Source: python-websocketd
Section: python
Priority: optional
Maintainer: Bas Wijnen <wijnen@debian.org>
Build-Depends: debhelper (>= 10), python3-all, dh-python, doxygen, python3-doxypypy | doxypy, libjs-jquery, graphviz, python3-setuptools, pybuild-plugin-pyproject, python3-network
Standards-Version: 4.6.1

Package: python3-websocketd
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-network, python3
Description: python module for creating a http server which uses WebSockets
 This module uses the network module to create a server, and implements http(s)
 and WebSockets over those connections.  With only 6 lines of code you have a
 working system.  You only have to add what you want your server to do.

Package: python3-websocketd-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends: python3-websocketd (= ${source:Version}), python3-network-doc
Description: API documentation for python3-websocketd
 This module uses the network module to create a server, and implements http(s)
 and WebSockets over those connections.  With only 6 lines of code you have a
 working system.  You only have to add what you want your server to do.
 .
 This package contains the API documentation.

## python-websocketd 0.5

=== debian/changelog ===
python-websocketd (0.5-1) unstable; urgency=medium

  * Add requirements.txt.
  * Set Multi-Arch: foreign.
  * Use callable() again instead of code from abc module.
  * Update standards version to 4.6.2. No changes needed.
  * Update doxygen configuration.
  * Rename internal functions so they cannot be called remotely.
  * Add package tests.

 -- Bas Wijnen <wijnen@debian.org>  Sun, 19 Feb 2023 10:53:18 +0100

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,11 @@
 Priority: optional
 Maintainer: Bas Wijnen <wijnen@debian.org>
 Build-Depends: debhelper (>= 10), python3-all, dh-python, doxygen, python3-doxypypy | doxypy, libjs-jquery, graphviz, python3-setuptools, pybuild-plugin-pyproject, python3-network
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 
 Package: python3-websocketd
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}, ${python3:Depends}, python3-network, python3
 Description: python module for creating a http server which uses WebSockets
  This module uses the network module to create a server, and implements http(s)
@@ -16,6 +17,7 @@
 Package: python3-websocketd-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Recommends: python3-websocketd (= ${source:Version}), python3-network-doc
 Description: API documentation for python3-websocketd

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = websocketd

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	doxygen config.doxygen
	rm doxygen-output/html/jquery.js
	ln -s /usr/share/javascript/jquery/jquery.js doxygen-output/html/

override_dh_auto_clean:
	dh_auto_clean
	rm -rf doxygen-output src/websocket_httpd.egg-info dist
